#!/bin/sh
echo "*********Flutter Build Script*********"
if [ -e /home/$USER/.config/autostart ]
then
	echo "autostart directory exists"
else
	echo "making autostart directory"
	mkdir "/home/$USER/.config/autostart"
fi
echo "Writing autostart file Flutter.desktop"
	cp ./config/autostart/Flutter.desktop /home/$USER/.config/autostart/Flutter.desktop

if [ -e /var/www/html ]
then
	echo "Apache already installed"
else
	echo "Apache needs installing"
	echo " (sudo apt install apache2 php -y)"
	sudo apt install apache2 php -y
fi
echo "Populating /var/www/html directory"
sudo chmod 777 /var/www/html
if [ -e /var/www/html/index.html ]
then
	sudo rm /var/www/html/index.html
fi
cp ./var/www/html/* /var/www/html/

echo "Copy Flutter Game Package to Desktop"
cp ./desktop/Flutter* /home/$USER/Desktop/
sudo chmod 755 /home/$USER/Desktop/FlutterV241

echo "Configure WiFi Access Point"

if [ -e /etc/dnsmasq.conf ]
then
	if [ -e /etc/dnsmasqsaved.conf ] 
	
	then
		echo "original dnsmasq.conf already saved"
		sudo rm /etc/dnsmasq.conf
	else
		echo "saving dnsmasq.conf to dnsmasqsaved.conf"
		sudo mv /etc/dnsmasq.conf /etc/dnsmasqsaved.conf
	fi
else
	echo "installing dnsmasq and hostapd"
	sudo apt install dnsmasq hostapd -y
	
fi
echo "creating /etc/dnsmasq.conf"
echo "interface=wlan0" | sudo tee -a /etc/dnsmasq.conf
echo "dhcp-range=192.168.4.2,192.168.4.20,255.255.255.0,24h" | sudo tee -a /etc/dnsmasq.conf


if [ -e /etc/hostapd/hostapd.conf ] 
then
	if [ -e /etc/hostapd/hostapdsaved.conf ] 
	
	then
		echo "original hostapd.conf already saved"
		sudo rm /etc/hostapd/hostapd.conf
	else
		echo "saving hostapd.conf to hostapdsaved.conf"
		sudo mv /etc/hostapd/hostapd.conf /etc/hostapd/hostapdsaved.conf
	fi
fi
echo "creating /etc/hostapd/hostapd.conf"
echo "interface=wlan0" | sudo tee -a /etc/hostapd/hostapd.conf
echo "ssid=pifl" | sudo tee -a /etc/hostapd/hostapd.conf
echo "channel=9" | sudo tee -a /etc/hostapd/hostapd.conf
echo "macaddr_acl=0" | sudo tee -a /etc/hostapd/hostapd.conf
echo "auth_algs=3" | sudo tee -a /etc/hostapd/hostapd.conf

if [ -e /etc/dhcpcdsaved.conf ] 
then
	echo "original dhcpcd already saved"
	sudo rm /etc/dhcpcd.conf
else
	echo "saving dhcpcd.conf to dhcpcdsaved.conf"
	sudo mv /etc/dhcpcd.conf /etc/dhcpcdsaved.conf
fi
echo "creating /etc/dhcpcd.conf"
echo "interface=wlan0" | sudo tee -a /etc/dhcpcd.conf
echo "static ip_address=192.168.4.1/24" | sudo tee -a /etc/dhcpcd.conf
echo "nohook wpa_supplicant" | sudo tee -a /etc/dhcpcd.conf

echo "Change hostname to 'pifl'"
if [ -e /etc/hostnamesaved ]
then
	echo "original hostname already saved"
	sudo rm /etc/hostname
else
	echo "saving hostname to hostnamesaved"
	sudo mv /etc/hostname /etc/hostnamesaved
fi
echo "pifl" | sudo tee -a /etc/hostname

if [ -e /etc/hostssaved ]
then
	echo "original hosts already saved"
else
	echo "saving hosts to hostssaved"
	sudo cp /etc/hosts /etc/hostssaved
fi
echo "editing hosts"
sudo sed -i 's/127.0.1.1.*/127.0.1.1 pifl/' /etc/hosts

echo "Enabling access point pifl"
echo "Enable dnsmasq"
sudo systemctl unmask dnsmasq
sudo systemctl enable dnsmasq

echo "Enable hostapd"
sudo systemctl unmask hostapd
sudo systemctl enable hostapd

echo "change screen size to 1920x1080"
sudo arandr self

echo "END"
echo "***********Now Reboot*****************"

